package com.muyu.common.nacos.service;

import com.muyu.common.nacos.remote.NacosServiceReomte;
import com.muyu.common.nacos.remote.req.ServiceListReq;
import com.muyu.common.nacos.remote.resp.ServiceListResp;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

public class NacosServerService {
    @Resource
    private NacosServiceReomte nacosServiceReomte;

    public List<String> nacosServerAllList(){
        ArrayList<String> serverList = new ArrayList<>();
        ServiceListResp serviceListResp=null;
        int pageNo=0,pageSize=2;

        do{
             serviceListResp = nacosServiceReomte.serviceList(
                    ServiceListReq.builder()
                            .pageNo(++pageNo)
                            .pageSize(pageSize)
                            .build()
            );
             serverList.addAll(serviceListResp.getDoms());

        }while (serviceListResp.getCount() > pageNo*pageSize);

        return  serverList;

    }
}
